package com.lframework.xingyun.sc.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.lframework.starter.web.enums.BaseEnum;

public enum SaleOrderPurchaseStatus implements BaseEnum<Integer> {

    PURCHASESTATUS_INCOMPLETE(0, "未采购"), PURCHASESTATUS_COMPLETED(2, "完成采购"), PURCHASESTATUS_PORTION(3, "部分采购");

    @EnumValue
    private Integer code;

    private String desc;

    SaleOrderPurchaseStatus(Integer code, String desc) {

        this.code = code;
        this.desc = desc;
    }

    @Override
    public Integer getCode() {
        return null;
    }

    @Override
    public String getDesc() {
        return null;
    }
}
